"{ Encoding: utf8 }" !
!Tools::NewSystemBrowserTests methodsFor:'tests'!

test_issue_246_a
    | codeView codeViewInteractor mthdView mthdViewInteractor |

    Class withoutUpdatingChangesDo:[  
        self class compile: 'qux \^ self foo' withCRs classified: 'mocks - dynamic'.
        self class compile: 'baz \^ self qux' withCRs classified: 'mocks - dynamic'.
    ].

    self assert: (self class >> #qux) mclass == self class.
    self assert: (self class >> #baz) mclass == self class.

    browserInteractor do:[ browser switchToClass: self class selector: #qux ].
    self assert: browser theSingleSelectedMethod == (self class >> #qux).

    codeView := browser codeView.
    codeViewInteractor := codeView interactor.
    mthdView := (browser builder findComponentAt:#MethodList) application builder componentAt:#List.
    mthdViewInteractor := mthdView interactor.
    self assert: mthdView selection = #(2).

    self error: 'Unfinished test, how to intercept the dialog?'.

    codeViewInteractor do:[ codeView textView deleteLine: 2 ].
    mthdViewInteractor do:[ mthdView selectFirst ].

    "Created: / 11-10-2018 / 08:35:58 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

